using System;
using System.Collections.Generic;
using System.Globalization;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace finale
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] s = Console.ReadLine().Split();
            int n = int.Parse(s[0]);
            int m = int.Parse(s[1]);
            int br = 0;
            br = 4 + 2 * (n - 2) + 2 * (m - 2) + (n-2)*(m - 2)/2;
            Console.WriteLine(br);

        }
    }
}